I got the same error, and follow the above steps and upgrade succesfully.

The only difference was that I selected Y on install logger question. Upgrade again with this in mind.

Hope this helps,